maybe chmod 0755 'init.d/mit-krb5kdc'
maybe chmod 0755 'init.d/mit-krb5kpropd'
maybe chmod 0755 'init.d/modules'
+maybe chmod 0755 'init.d/modules-load'
maybe chmod 0755 'init.d/mount-ro'
maybe chmod 0755 'init.d/mysql'
maybe chmod 0755 'init.d/mysql-s6'
maybe chmod 0644 'pam.d/start-stop-daemon'
maybe chmod 0644 'pam.d/su'
maybe chmod 0644 'pam.d/sudo'
+maybe chmod 0644 'pam.d/supervise-daemon'
maybe chmod 0644 'pam.d/system-auth'
maybe chmod 0644 'pam.d/system-local-login'
maybe chmod 0644 'pam.d/system-login'
# This may be useful if you need the kernel boot log afterwards
log_dmesg="YES"
-# Save the previous dmesg log to dmesc.old
+# Save the previous dmesg log to dmesg.old
# This may be useful if you need to compare the current boot to the
# previous one.
#previous_dmesg=no
# This is useful when periodic filesystem checks are causing undesirable
# delays at startup, but such delays at shutdown are acceptable.
fsck_shutdown="NO"
+
+# fsck_abort_on_errors can be set to no to cause fsck to not abort on
+# errors.
+# This is useful when periodic filesystem checks are causing undesirable
+# aborts.
+fsck_abort_on_errors="YES"
# Stop the unmounting of certain points.
# This could be useful for some NFS related work.
#no_umounts="/dir1:/var/dir2"
+#
+# Mark certain mount points as critical.
+# This contains aspace separated list of mount points which should be
+# considered critical. If one of these mount points cannot be mounted,
+# localmount will fail.
+# By default, this is empty.
+#critical_mounts="/home /var"
# other words, please change it to be more suited to your system.
#
rc_need="net"
+#
+# Mark certain mount points as critical.
+# This contains aspace separated list of mount points which should be
+# considered critical. If one of these mount points cannot be mounted,
+# netmount will fail.
+# By default, this is empty.
+#critical_mounts="/home /var"
#!/sbin/openrc-run
-# Copyright 2015 William Hubbs <w.d.hubbs@gmail.com>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
description="Register misc binary format handlers"
{
after procfs
use modules devfs
- keyword -openvz -prefix -systemd-nspawn -vserver -lxc
+ keyword -docker -lxc -openvz -prefix -systemd-nspawn -vserver
}
start()
#!/sbin/openrc-run
-# Copyright (c) 2007-2009 Roy Marples <roy@marples.name>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2007-2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
depend()
{
#!/sbin/openrc-run
-# Copyright (c) 2007-2009 Roy Marples <roy@marples.name>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2007-2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
description="Sets a font for the consoles."
{
need localmount termencoding
after hotplug bootmisc modules
- keyword -openvz -prefix -systemd-nspawn -uml -vserver -xenu -lxc
+ keyword -docker -lxc -openvz -prefix -systemd-nspawn -uml -vserver -xenu
}
start()
#!/sbin/openrc-run
-# Copyright (c) 2007-2008 Roy Marples <roy@marples.name>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2007-2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
description="Set up the /dev directory"
{
provide dev-mount
before dev
- keyword -prefix -systemd-nspawn -vserver -lxc
+ keyword -docker -lxc -prefix -systemd-nspawn -vserver
}
mount_dev()
#!/sbin/openrc-run
-# Copyright (c) 2007-2008 Roy Marples <roy@marples.name>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2007-2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
description="Set the dmesg level for a cleaner boot"
depend()
{
before dev modules
- keyword -lxc -prefix -systemd-nspawn -vserver
+ keyword -docker -lxc -prefix -systemd-nspawn -vserver
}
start()
#!/sbin/openrc-run
-# Copyright (c) 2007-2009 Roy Marples <roy@marples.name>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2007-2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
description="Check and repair filesystems according to /etc/fstab"
_IFS="
depend()
{
use dev clock modules
- keyword -jail -openvz -prefix -systemd-nspawn -timeout -vserver -lxc -uml
+ keyword -docker -jail -lxc -openvz -prefix -systemd-nspawn -timeout -vserver -uml
}
_abort() {
- rc-abort
+ yesno ${fsck_abort_on_errors:-yes} && rc-abort
return 1
}
#!/sbin/openrc-run
-# Copyright (c) 2007-2009 Roy Marples <roy@marples.name>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2007-2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
description="Sets the hostname of the machine."
depend() {
- keyword -prefix -systemd-nspawn -lxc
+ keyword -docker -lxc -prefix -systemd-nspawn
}
start()
#!/sbin/openrc-run
-# Copyright (c) 2007-2008 Roy Marples <roy@marples.name>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2007-2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
extra_commands="save show"
else
before *
fi
- keyword -openvz -prefix -systemd-nspawn -uml -vserver -xenu -lxc
+ keyword -docker -lxc -openvz -prefix -systemd-nspawn -uml -vserver -xenu
}
setupopts()
return 1
}
+get_noadjfile()
+{
+ if ! yesno $clock_adjfile; then
+ # Some implementations don't handle adjustments
+ if LC_ALL=C hwclock --help 2>&1 | grep -q "\-\-noadjfile"; then
+ echo --noadjfile
+ fi
+ fi
+}
+
start()
{
local retval=0 errstr=""
fi
# Always set the kernel's time zone.
- _hwclock --systz $utc_cmd $clock_args
+ _hwclock --systz $utc_cmd $(get_noadjfile) $clock_args
: $(( retval += $? ))
if [ -e /etc/adjtime ] && yesno $clock_adjfile; then
- _hwclock --adjust $utc_cmd
+ _hwclock --adjust $utc_cmd $(get_noadjfile)
: $(( retval += $? ))
fi
if yesno ${clock_hctosys:-YES}; then
- _hwclock --hctosys $utc_cmd $clock_args
+ _hwclock --hctosys $utc_cmd $(get_noadjfile) $clock_args
: $(( retval += $? ))
fi
ebegin "Setting hardware clock using the system clock" "[$utc]"
- if ! yesno $clock_adjfile; then
- # Some implementations don't handle adjustments
- if LC_ALL=C hwclock --help 2>&1 | grep -q "\-\-noadjfile"; then
- utc_cmd="$utc_cmd --noadjfile"
- fi
- fi
-
- _hwclock --systohc $utc_cmd $clock_args
+ _hwclock --systohc $utc_cmd $(get_noadjfile) $clock_args
retval=$?
eend $retval "Failed to sync clocks"
show()
{
setupopts
- hwclock --show "$utc_cmd" $clock_args
+ hwclock --show "$utc_cmd" $(get_noadjfile) $clock_args
}
#!/sbin/openrc-run
-# Copyright (c) 2007-2008 Roy Marples <roy@marples.name>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2007-2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
description="Applies a keymap for the consoles."
{
need localmount termencoding
after bootmisc
- keyword -openvz -prefix -systemd-nspawn -uml -vserver -xenu -lxc
+ keyword -docker -lxc -openvz -prefix -systemd-nspawn -uml -vserver -xenu
}
start()
#!/sbin/openrc-run
-# Copyright (c) 2007-2008 Roy Marples <roy@marples.name>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2007-2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
description="Kill all processes so we can unmount disks cleanly."
{
ebegin "Terminating remaining processes"
killall5 -15 ${killall5_opts}
- sleep 1
eend 0
ebegin "Killing remaining processes"
killall5 -9 ${killall5_opts}
- sleep 1
eend 0
}
#!/sbin/openrc-run
-# Copyright (c) 2007-2008 Roy Marples <roy@marples.name>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2007-2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
description="Executes user programs in /etc/local.d"
#!/sbin/openrc-run
-# Copyright (c) 2007-2009 Roy Marples <roy@marples.name>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2007-2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
description="Mounts disks and swap according to /etc/fstab."
need fsck
use lvm modules mtab
after lvm modules
- keyword -jail -prefix -systemd-nspawn -vserver -lxc
+ keyword -docker -jail -lxc -prefix -systemd-nspawn -vserver
}
start()
{
# Mount local filesystems in /etc/fstab.
- local types="noproc" x= no_netdev= rc=
+ local critical= types="noproc" x= no_netdev= rc=
for x in $net_fs_list $extra_net_fs_list; do
types="${types},no${x}"
done
mount -at "$types" $no_netdev
eend $? "Some local filesystem failed to mount"
rc=$?
- if [ "$RC_UNAME" != Linux ]; then
+ if [ -z "$critical_mounts" ]; then
rc=0
+ else
+ for x in ${critical_mounts}; do
+ fstabinfo -q $x || continue
+ if ! mountinfo -q $x; then
+ critical=x
+ eerror "Failed to mount $x"
+ fi
+ done
+ [ -z "$critical" ] && rc=0
fi
return $rc
}
#!/sbin/openrc-run
-# Copyright (c) 2013 William Hubbs <w.d.hubbs@gmail.com>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2013-2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
description="Configures the loopback interface."
#!/sbin/openrc-run
-# Copyright (c) 2007-2009 Roy Marples <roy@marples.name>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2007-2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
description="Loads a user defined list of kernel modules."
depend()
{
use isapnp
- keyword -openvz -prefix -systemd-nspawn -vserver -lxc
+ want modules-load
+ keyword -docker -lxc -openvz -prefix -systemd-nspawn -vserver
}
start()
--- /dev/null
+#!/sbin/openrc-run
+# Copyright (c) 2016 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
+
+description="Loads a list of modules from systemd-compatible locations."
+
+depend()
+{
+ keyword -docker -lxc -openvz -prefix -systemd-nspawn -vserver
+}
+
+find_modfiles()
+{
+ local dirs="/usr/lib/modules-load.d /run/modules-load.d /etc/modules-load.d"
+ local basenames files fn x y
+ for x in $dirs; do
+ [ ! -d $x ] && continue
+ for y in $x/*.conf; do
+ [ -f $y ] && basenames="${basenames}\n${y##*/}"
+ done
+ done
+ basenames=$(printf "$basenames" | sort -u)
+ for x in $basenames; do
+ for y in $dirs; do
+ [ -r $y/$x ] &&
+ fn=$y/$x
+ done
+ files="$files $fn"
+ done
+ echo $files
+}
+
+load_modules()
+{
+ local file m modules rc x
+ file=$1
+ [ -z "$file" ] && return 0
+ while read m x; do
+ case $m in
+ \;*) continue ;;
+ \#*) continue ;;
+ *) modules="$modules $m"
+ ;;
+ esac
+ done < $file
+ for x in $modules; do
+ ebegin "Loading module $x"
+ case "$RC_UNAME" in
+ FreeBSD) kldload "$x"; rc=$? ;;
+ Linux) modprobe -q "$x"; rc=$? ;;
+ *) ;;
+ esac
+ eend $rc "Failed to load $x"
+ done
+}
+
+start()
+{
+ local x
+ files=$(find_modfiles)
+ for x in $files; do
+ load_modules $x
+ done
+ return 0
+}
#!/sbin/openrc-run
-# Copyright (c) 2007-2009 Roy Marples <roy@marples.name>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2007-2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
description="Re-mount filesytems read-only for a clean reboot."
depend()
{
need killprocs savecache
- keyword -openvz -prefix -systemd-nspawn -vserver -lxc
+ keyword -docker -lxc -openvz -prefix -systemd-nspawn -vserver
}
start()
#!/sbin/openrc-run
-# Copyright (C) 2015 William Hubbs <w.d.hubbs@gmail.com>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
description="Delays until the network is online or a specific timeout"
{
after modules
need sysfs
- keyword -jail -lxc -openvz -prefix -systemd-nspawn -uml -vserver
+ keyword -docker -jail -lxc -openvz -prefix -systemd-nspawn -uml -vserver
}
get_interfaces()
#!/sbin/openrc-run
-# Copyright (c) 2007-2009 Roy Marples <roy@marples.name>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2007-2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
description="Mounts network shares according to /etc/fstab."
depend()
{
- config /etc/fstab
- use afc-client amd nfsclient autofs openvpn
+ local opts mywant=""
+ for opts in $(fstabinfo -o -t nfs,nfs4); do
+ case $opts in
+ noauto) ;;
+ *) mywant="$mywant nfsclient"; break ;;
+ esac
+ done
+ config /etc/fstab
+ want $mywant
+ use afc-client amd openvpn
use dns
- keyword -jail -prefix -systemd-nspawn -vserver -lxc
+ keyword -docker -jail -lxc -prefix -systemd-nspawn -vserver
}
start()
ebegin "Mounting network filesystems"
mount -at $fs
rc=$?
- if [ "$RC_UNAME" = Linux ]; then
+ if [ "$RC_UNAME" = Linux ] && [ $rc = 0 ]; then
mount -a -O _netdev
rc=$?
fi
ewend $rc "Could not mount all network filesystems"
- if [ "$RC_UNAME" != Linux ]; then
+ if [ -z "$critical_mounts" ]; then
rc=0
+ else
+ for x in ${critical_mounts}; do
+ fstabinfo -q $x || continue
+ if ! mountinfo -q $x; then
+ critical=x
+ eerror "Failed to mount $x"
+ fi
+ done
+ [ -z "$critical" ] && rc=0
fi
return $rc
}
retval=$?
eoutdent
- if [ "$RC_UNAME" = Linux ]; then
+ if [ "$RC_UNAME" = Linux ] && [ $retval = 0 ]; then
umount -a -O _netdev
retval=$?
fi
#!/sbin/openrc-run
-# Copyright (c) 2007-2009 Roy Marples <roy@marples.name>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2007-2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
description="Turns numlock on for the consoles."
depend()
{
need localmount
- keyword -openvz -prefix -systemd-nspawn -vserver -lxc
+ keyword -docker -lxc -openvz -prefix -systemd-nspawn -vserver
}
_setleds()
#!/sbin/openrc-run
-# Copyright (c) 2014 Ralph Sennhauser <sera@igentoo.org>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2014-2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
# Can be used on OSs that take care of the clock.
#!/sbin/openrc-run
-# Copyright (c) 2007-2009 Roy Marples <roy@marples.name>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2007-2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
description="Mounts misc filesystems in /proc."
{
use modules devfs
need localmount
- keyword -openvz -prefix -systemd-nspawn -vserver -lxc
+ keyword -docker -lxc -openvz -prefix -systemd-nspawn -vserver
}
start()
#!/sbin/openrc-run
-# Copyright (c) 2007-2009 Roy Marples <roy@marples.name>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2007-2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
description="Mount the root fs read/write"
depend()
{
need fsck
- keyword -jail -openvz -prefix -systemd-nspawn -vserver -lxc
+ keyword -docker -jail -lxc -openvz -prefix -systemd-nspawn -vserver
}
start()
#!/sbin/openrc-run
-# Copyright (C) 2015 William Hubbs <w.d.hubbs@gmail.com>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
command=/bin/s6-svscan
command_args="${RC_SVCDIR}"/s6-scan
#!/sbin/openrc-run
-# Copyright (c) 2007-2009 Roy Marples <roy@marples.name>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2007-2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
description="Saves the caches OpenRC uses to non volatile storage"
fi
ebegin "Saving dependency cache"
local rc=0 save=
- for x in deptree depconfig shutdowntime softlevel nettree rc.log; do
+ for x in deptree depconfig shutdowntime softlevel rc.log; do
[ -e "$RC_SVCDIR/$x" ] && save="$save $RC_SVCDIR/$x"
done
if [ -n "$save" ]; then
#!/sbin/openrc-run
-# Copyright (c) 2007-2009 Roy Marples <roy@marples.name>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2007-2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
depend()
{
before localmount
- keyword -jail -openvz -prefix -systemd-nspawn -vserver -lxc
+ keyword -docker -jail -lxc -openvz -prefix -systemd-nspawn -vserver
}
start()
#!/sbin/openrc-run
-# Copyright (c) 2007-2009 Roy Marples <roy@marples.name>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2007-2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
depend()
{
need localmount
- keyword -jail -openvz -prefix -systemd-nspawn -vserver -lxc
+ keyword -docker -jail -lxc -openvz -prefix -systemd-nspawn -vserver
}
start()
#!/sbin/openrc-run
-# Copyright (c) 2009 Roy Marples <roy@marples.name>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2009-2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
description="Sets the local clock to the mtime of a given file."
{
before *
provide clock
- keyword -openvz -prefix -systemd-nspawn -uml -vserver -xenu -lxc
+ keyword -docker -lxc -openvz -prefix -systemd-nspawn -uml -vserver -xenu
}
# swclock is an OpenRC built in
#!/sbin/openrc-run
-# Copyright (c) 2007-2008 Roy Marples <roy@marples.name>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2007-2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
depend()
{
#!/sbin/openrc-run
-# Copyright (c) 2007-2009 Roy Marples <roy@marples.name>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2007-2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
description="Mount the sys filesystem."
depend()
{
- keyword -lxc -prefix -systemd-nspawn -vserver
+ keyword -docker -lxc -prefix -systemd-nspawn -vserver
}
mount_sys()
fi
fi
+ # Setup Kernel Support for persistent storage
+ if [ -d /sys/fs/pstore ] && ! mountinfo -q /sys/fs/pstore; then
+ if grep -qs 'pstore$' /proc/filesystems; then
+ ebegin "Mounting persistent storage (pstore) filesystem"
+ mount -t pstore pstore -o ${sysfs_opts} /sys/fs/pstore
+ eend $?
+ fi
+ fi
+
# setup up kernel support for efivarfs
# slightly complicated, as if it's build as a module but NOT yet loaded,
# it will NOT appear in /proc/filesystems yet
#!/sbin/openrc-run
-# Copyright (c) 2008-2009 Roy Marples <roy@marples.name>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2008-2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
description="Configures terminal encoding."
depend()
{
- keyword -lxc -openvz -prefix -systemd-nspawn -uml -vserver -xenu
+ keyword -docker -lxc -openvz -prefix -systemd-nspawn -uml -vserver -xenu
use root
after bootmisc
}
#!/sbin/openrc-run
-# Copyright (c) 2007-2009 Roy Marples <roy@marples.name>
-# Released under the 2-clause BSD license.
+# Copyright (c) 2007-2015 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
: ${urandom_seed:=${URANDOM_SEED:-/var/lib/misc/random-seed}}
description="Initializes the random number generator."
depend()
{
need localmount
- keyword -jail -lxc -openvz -prefix -systemd-nspawn
+ keyword -docker -jail -lxc -openvz -prefix -systemd-nspawn
}
save_seed()
--- /dev/null
+account required pam_permit.so
+session include system-services